%global debug_package %{nil}
%global mver 3.0

Name:           guile-syntax-highlight
Version:        0.2.0
Release:        %{autorelease}
Summary:        Syntax highlighting for code

License:        LGPL-3.0-or-later
URL:            https://dthompson.us/projects/guile-syntax-highlight.html
VCS:            git:https://git.dthompson.us/guile-syntax-highlight.git
Source0:        https://files.dthompson.us/releases/guile-syntax-highlight/guile-syntax-highlight-0.2.0.tar.gz
Source1:        https://files.dthompson.us/releases/guile-syntax-highlight/guile-syntax-highlight-0.2.0.tar.gz.asc
# https://keyserver.ubuntu.com/pks/lookup?search=8CCBA7F552B9CBEAE1FB29158328C7470FF1D807&fingerprint=on&op=index
Source2:        8ccba7f552b9cbeae1fb29158328c7470ff1d807.asc

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  guile30-devel
BuildRequires:  gnupg2
BuildRequires:  make
BuildRequires:  texinfo

%description
guile-syntax-highlight is a general-purpose syntax highlighting library for
GNU Guile. It can parse code written in various programming languages into a
simple s-expression that can be easily converted to HTML (via SXML) or any
other format for rendering.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup


%build
autoreconf -vfi
%configure
%make_build


%install
%make_install
test -f %{buildroot}/%{_infodir}/dir && rm %{buildroot}/%{_infodir}/dir

%check
#No tests

%files
%license COPYING
%doc README
%dir %{_datadir}/guile
%dir %{_datadir}/guile/site
%dir %{_datadir}/guile/site/%{mver}/
%dir %{_datadir}/guile/site/%{mver}/syntax-highlight
%{_datadir}/guile/site/%{mver}/syntax-highlight.scm
%{_datadir}/guile/site/%{mver}/syntax-highlight/*.scm
%dir %{_libdir}/guile/%{mver}/site-ccache/
%dir %{_libdir}/guile/%{mver}/site-ccache/syntax-highlight/
%{_libdir}/guile/%{mver}/site-ccache/syntax-highlight.go
%{_libdir}/guile/%{mver}/site-ccache/syntax-highlight/*.go

%changelog
%autochangelog 
